# This is the configuration for the build system

# this is the version string printed during boot.
ROM_VERSION=AMD64

# Uncomment this to see the output from the package builds
#VERBOSE=y

# You probably won't need to change these, unless you are playing with
# LinuxBIOS
LINUXBIOS_ENABLE_LZMA=y

# Specify the commandline to use with mkelfimage
#COMMAND_LINE=iommu=force console=ttyS0,115200 console=tty0 rdinit=/linuxrc
#COMMAND_LINE=console=ttyS0,115200 rdinit=/linuxrc
#COMMAND_LINE=console=ttyS0,115200 earlyprintk=dbgp rdinit=/linuxrc
#COMMAND_LINE=apic=debug pci=noacpi,routeirq snd-hda-intel.enable_msi=1 earlyprintk=dbgp,keep rdinit=/linuxrc
COMMAND_LINE=apic=debug pci=routeirq snd-hda-intel.enable_msi=1 console=uart8250,io,0x3f8,115200n8 rdinit=/linuxrc
#COMMAND_LINE=netconsole=4444@192.168.2.100/eth0,9353@192.168.2.2/00:e0:81:54:d5:83 apic=debug pci=noacpi,routeirq console=ttyS0,115200 earlyprintk=dbgp,keep rdinit=/linuxrc
#COMMAND_LINE=netconsole=4444@192.168.2.100/eth0,9353@192.168.2.2/00:e0:81:54:d5:83 apic=debug pci=noacpi,routeirq console=ttyUSB0,115200n8 console=tty0 rdinit=/linuxrc

# Say 'y' here to build busybox
INITRD_BUSYBOX=y

# Say 'y' here to build kexec tools
INITRD_KEXEC_TOOLS=n

###########################################
# You shouldn't change anything under this point
###########################################

ifeq ($(LINUXBIOS_ENABLE_LZMA),y)
PAYLOAD_TARGET=$(OUTPUT_DIR)/olpc-payload.elf.lzma
endif

PAYLOAD-y= uclibc 
PAYLOAD-$(INITRD_BUSYBOX) += busybox
PAYLOAD-$(INITRD_KEXEC_TOOLS) += kexec-tools

HOSTTOOLS-y = mkelfimage unifdef
HOSTTOOLS-$(LINUXBIOS_ENABLE_LZMA) += lzma
